## pygobject 3.22.0

=== debian/changelog ===
pygobject (3.22.0-2) unstable; urgency=medium

  * Temporarily disable pep8 during the build. Closes: #844924.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 12 Dec 2016 20:37:34 +0100

pygobject (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 19:14:05 +0200

pygobject (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Drop patches which have been merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Sep 2016 15:02:27 +0200

pygobject (3.21.91-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Fix wrong enum to hash conversion on 64-bit big endian. (Closes: #835413)

  [ Michael Biebl ]
  * Use dbus-run-session instead of dbus-launch to run the tests.
    (Closes: #836049)
  * Handle nullable filename parameters. This fixes a test suite error in
    test_spawn_async_with_pipes triggered by an annotation change in glib.
  * Drop override for dh_python2, no longer needed.

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Sep 2016 00:02:14 +0200

pygobject (3.21.91-1) experimental; urgency=medium

  * New upstream beta release.
  * Set Maintainer to Debian GNOME Maintainers
  * Add python{,3}-setuptools to build-dependencies
    - as needed in debian/rules clean by the new setup.py

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 26 Aug 2016 10:57:27 +0200

pygobject (3.21.0-1) experimental; urgency=medium

  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.

  [ Andreas Henriksson ]
  * New upstream development release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Aug 2016 13:31:24 +0200

pygobject (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/git_fix_test_build.patch, merged upstream.
  * Bump Standards-Version to 3.9.8.
  * Do not create automatic dbgsym packages as we already build specialised
    dbg packages.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 May 2016 23:20:01 +0200

pygobject (3.20.0-2) unstable; urgency=medium

  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Remove obsolete migration code from pre-wheezy.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Apr 2016 01:29:44 +0200

pygobject (3.20.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump build-dependency according to configure.ac changes:
    - gobject-introspection (>= 1.46.0)
  * Fix FTBFS by adding debian/patches/git_fix_test_build.patch from upstream

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Apr 2016 15:39:49 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pygobject
Section: python
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               gnome-common,
               gnome-pkg-tools (>= 0.10),
               python-all-dev (>= 2.6.6-3~),
               python3-all-dev,
               python-setuptools,
               python3-setuptools,
               libglib2.0-dev (>= 2.38.0),
               libcairo2-dev,
               libffi-dev (>= 3.0.5),
               gobject-introspection (>= 1.46.0),
               libgirepository1.0-dev (>= 1.39.0),
               python-cairo-dev (>= 1.2.0),
               python3-cairo-dev (>= 1.10.0+dfsg-3),
               xsltproc,
               xvfb,
               xauth,
               dbus (>= 1.8),
               at-spi2-core,
               locales,
               docbook-xsl,
# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=844924
#               pep8,
               pyflakes,
               python-all-dbg,
               python3-all-dbg,
               python-apt-dbg,
               python-cairo-dbg,
               gir1.2-glib-2.0 (>= 1.39.0),
               gir1.2-freedesktop (>= 1.39.0),
               gir1.2-gtk-3.0,
               dh-autoreconf,
               dh-python,
X-Python-Version: >= 2.7
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pygobject
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pygobject/
Homepage: https://wiki.gnome.org/Projects/PyGObject

Package: python-gi
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-glib-2.0 (>= 1.39.0)
Provides: ${python:Provides}
Suggests: python-gi-cairo
Breaks: python-aptdaemon (<< 1.0),
        software-center (<= 5.6.0-0ubuntu2)
Description: Python 2.x bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 2.x binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python.

Package: python3-gi
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-glib-2.0 (>= 1.39.0)
Description: Python 3 bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.

Package: python-gi-cairo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gi (= ${binary:Version}),
         python-cairo
Description: Python Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python-gi-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gi (= ${binary:Version})
Description: Python bindings for the GObject library (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-gi-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (= ${binary:Version})
Description: Python 3 bindings for gobject-introspection libraries (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python-gi-dev
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-gi (= ${binary:Version}),
         python3-gi (= ${binary:Version}),
         libglib2.0-dev (>= 2.35.9),
         libffi-dev (>= 3.0.5)
Description: development headers for GObject Python bindings
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build C extensions
 which use pygobject.

Package: python3-gi-cairo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (= ${binary:Version}),
         python3-cairo (>= 1.10.0+dfsg-3~exp2)
Description: Python 3 Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python-gobject
Section: oldlibs
Priority: extra
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         python-gi (>= ${source:Version}),
         python-gobject-2
Description: Python 2.x bindings for GObject - transitional package 
 This package will bring the two versions of GObject Python modules: the 
 deprecated gobject module, and the new gobject-introspection system. It 
 is here for upgrade purposes only. You can remove it safely when 
 nothing else depends on it.

Package: python-gobject-dbg
Section: oldlibs
Priority: extra
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         python-gi-dbg (>= ${source:Version}),
         python-gobject-2-dbg
Description: Python 2.x debugging modules for GObject - transitional package 
 This package will bring the two debugging versions of GObject Python 
 modules: one for the deprecated gobject module, and one for the new 
 gobject-introspection system. It is here for upgrade purposes only. 
 You can remove it safely when nothing else depends on it.

Package: python-gobject-dev
Section: oldlibs
Priority: extra
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         python-gi-dev (>= ${source:Version}),
         python-gi-dev (<< ${source:Version}.1~),
         python-gobject-2-dev
Description: Python 2.x development headers for GObject - transitional package 
 This package will bring development headers for the two versions of 
 GObject Python modules: the deprecated gobject module, and the new 
 gobject-introspection system. It is here for upgrade purposes only. You 
 can remove it safely when nothing else depends on it.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python/python.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

PYVERS := $(shell pyversions --requested -v debian/control) $(shell py3versions --supported -v)
FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))

TESTSUITE_FAIL_CMD=exit 1
NON_FATAL=( echo "*** test-suite FAILED but continuing anyway ***"; true; )
ifneq ($(filter $(DEB_BUILD_ARCH), ),)
# tests currently fail on these architectures
    TESTSUITE_FAIL_CMD=$(NON_FATAL)
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2,python3,autoreconf,gnome

override_dh_auto_configure:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_configure --builddirectory=build-$$x -- PYTHON=/usr/bin/python$$x; \
	done

override_dh_auto_build:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_build --builddirectory=build-$$x; \
	done

# don't run the tests under fakeroot, otherwise they will try to connect to
# root's session D-BUS
override_dh_auto_test:
	set -e; export HOME=$(CURDIR)/debian/tmp/home; mkdir -p $$HOME/.local/share; unset LD_PRELOAD; \
	for x in $(PYVERS); do \
	        xvfb-run dh_auto_test --builddirectory=build-$$x || $(TESTSUITE_FAIL_CMD); \
	        while [ -e /tmp/.X99-lock ]; do echo "Waiting for xvfb to finish..."; sleep 0.5; done; \
	        xvfb-run dh_auto_test --builddirectory=build-$$x-dbg || $(NON_FATAL); \
	        while [ -e /tmp/.X99-lock ]; do echo "Waiting for xvfb to finish..."; sleep 0.5; done; \
	done;

# we remove stuff that we do not need, and rename the *.so modules to what
# Python expects for that flavor (http://www.python.org/dev/peps/pep-3149/)
# group the install directory by major Python version and dbg/non-dbg
override_dh_auto_install:
	set -e && for x in $(FLAVOURS); do \
	    INST=debian/install-`echo $$x | sed 's/\.[0-9]*//'`; \
	    dh_auto_install --builddirectory=build-$$x --destdir=$$INST; \
	    find $$INST \( -name '*.pyc' -o -name '*.pyo' -o -name '*.la' \) -delete; \
	done

override_dh_auto_clean:
	rm -rf build-*
	dh_auto_clean

override_dh_install-arch:
	dh_install -ppython-gi -ppython-gi-cairo --sourcedir=debian/install-2
	dh_install -ppython-gi-dbg --sourcedir=debian/install-2-dbg
	dh_install -ppython3-gi -ppython3-gi-cairo -ppython-gi-dev --sourcedir=debian/install-3
	dh_install -ppython3-gi-dbg --sourcedir=debian/install-3-dbg
	# for -dev etc.; this is not expected to install any files
	dh_install -a --remaining-packages --sourcedir=/nonexisting
	# cairo.so is installed into a separate package; modelling this with
	# *.install files is a pain, so just remove it manually
	rm debian/python*-gi/usr/lib/python*/*-packages/gi/*cairo*

override_dh_strip-arch:
	dh_strip -ppython-gi --dbg-package=python-gi-dbg
	dh_strip -ppython-gi-cairo --dbg-package=python-gi-dbg
	dh_strip -ppython3-gi --dbg-package=python3-gi-dbg
	dh_strip -a --remaining-packages --no-automatic-dbgsym

override_dh_makeshlibs-arch:
	dh_makeshlibs -ppython-gi  -V'python-gi (>= 3.4)'
	dh_makeshlibs -ppython3-gi -V'python3-gi (>= 3.4)'
	dh_makeshlibs -a --remaining-packages

override_dh_clean:
	rm -rf debian/install-*
	find \( -name '*.pyc' -o -name '*.pyo' -o -name '*.la' \) -delete; \
	dh_clean

## pygobject 3.24.1

=== debian/changelog ===
pygobject (3.24.1-6) unstable; urgency=medium

  * Build-Depend on gir1.2-gtk-3.0 for build tests
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1
    - Stop using obsolete Priority: extra
  * Add closure-fix-unaligned-access.patch:
    - Fix sparc64 build, thanks James Clarke! (Closes: #878317)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 10 Nov 2017 09:22:42 -0500

pygobject (3.24.1-5) unstable; urgency=medium

  * Mark some dependencies as only needed for build tests
  * Don't Build-Depend on gir1.2-gtk-3.0: apparently not needed

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 04 Nov 2017 19:19:41 -0400

pygobject (3.24.1-4) unstable; urgency=medium

  * Temporarily don't run build tests on non-Linux to unblock
    dependency issue with those buildds

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 03 Nov 2017 13:24:34 -0400

pygobject (3.24.1-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Release to unstable (Closes: #870837)
  * Bump Standards-Version to 4.1.0

  [ Iain Lane ]
  * Revert the last upload (Build-Conflicts) - the offending package is
    removed.

 -- Iain Lane <laney@debian.org>  Thu, 31 Aug 2017 00:29:26 +0100

pygobject (3.24.1-2) experimental; urgency=medium

  * debian/control{,.in}: Build-Conflict with
    open-infrastructure-locales-c.utf-8. This package gratutiously breaks our
    testsuite because it provides 'locales' without actually providing all the
    functionality of the locales package (specifically
    /usr/share/i18n/charmaps in our case). See #859912.

 -- Iain Lane <laney@debian.org>  Thu, 11 May 2017 13:47:21 +0100

pygobject (3.24.1-1) experimental; urgency=medium

  * New upstream release 3.24.1
  * debian/rules: Run the pep8 tests non-fatally

 -- Iain Lane <laney@debian.org>  Wed, 10 May 2017 18:04:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
+               dh-python,
                dpkg-dev (>= 1.16.1~),
+               gir1.2-gtk-3.0 <!nocheck>,
                gnome-common,
                gnome-pkg-tools (>= 0.10),
                python-all-dev (>= 2.6.6-3~),
@@ -23,26 +25,20 @@
                python-cairo-dev (>= 1.2.0),
                python3-cairo-dev (>= 1.10.0+dfsg-3),
                xsltproc,
-               xvfb,
-               xauth,
+               xvfb <!nocheck>,
+               xauth <!nocheck>,
                dbus (>= 1.8),
                at-spi2-core,
                locales,
                docbook-xsl,
-# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=844924
-#               pep8,
+               pep8,
                pyflakes,
                python-all-dbg,
                python3-all-dbg,
                python-apt-dbg,
                python-cairo-dbg,
-               gir1.2-glib-2.0 (>= 1.39.0),
-               gir1.2-freedesktop (>= 1.39.0),
-               gir1.2-gtk-3.0,
-               dh-autoreconf,
-               dh-python,
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pygobject
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pygobject/
 Homepage: https://wiki.gnome.org/Projects/PyGObject
@@ -101,7 +97,6 @@
 
 Package: python-gi-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python:Depends},
@@ -120,7 +115,6 @@
 
 Package: python3-gi-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends},
@@ -173,7 +167,6 @@
 
 Package: python-gobject
 Section: oldlibs
-Priority: extra
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
@@ -187,7 +180,6 @@
 
 Package: python-gobject-dbg
 Section: oldlibs
-Priority: extra
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
@@ -201,7 +193,6 @@
 
 Package: python-gobject-dev
 Section: oldlibs
-Priority: extra
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python2,python3,autoreconf,gnome
+	dh $@ --with python2,python3,gnome
 
 override_dh_auto_configure:
 	set -e && for x in $(FLAVOURS); do \
@@ -32,6 +32,8 @@
 # don't run the tests under fakeroot, otherwise they will try to connect to
 # root's session D-BUS
 override_dh_auto_test:
+ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
+ifeq ($(DEB_HOST_ARCH_OS), linux)
 	set -e; export HOME=$(CURDIR)/debian/tmp/home; mkdir -p $$HOME/.local/share; unset LD_PRELOAD; \
 	for x in $(PYVERS); do \
 	        xvfb-run dh_auto_test --builddirectory=build-$$x || $(TESTSUITE_FAIL_CMD); \
@@ -39,6 +41,10 @@
 	        xvfb-run dh_auto_test --builddirectory=build-$$x-dbg || $(NON_FATAL); \
 	        while [ -e /tmp/.X99-lock ]; do echo "Waiting for xvfb to finish..."; sleep 0.5; done; \
 	done;
+	# run the pep8 test but don't fail on it
+	cd build-$(shell py3versions -v -d) && $(MAKE) check.quality || $(NON_FATAL)
+endif
+endif
 
 # we remove stuff that we do not need, and rename the *.so modules to what
 # Python expects for that flavor (http://www.python.org/dev/peps/pep-3149/)

## pygobject 3.26.1

=== debian/changelog ===
pygobject (3.26.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 20:50:28 -0500

pygobject (3.26.1-1) unstable; urgency=medium

  * New upstream release (Closes: #879638)
    - Bump pycairo requirement to 1.11.1
    - Switch build-dep from gnome-common to autoconf-archive (Closes: #829934)
    - Drop all patches, they have been merged upstream
  * debian/control.in:
    - Drop python-gobject-dev and python-gobject-dbg transitional packages,
      nothing depends against it anymore (Closes: #878781)
  * debian/rules: Run the test with locale C.UTF-8
  * debian/*.lintian-overrides: Drop unused lintian overrides
  * debian/rules: Do not call dh_makeshlibs during build, for some reasons the
    python bindings are build with a SONAME set and this causes dh_makeshlibs
    to create a shlibs file and to trigger ldconfig.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Nov 2017 23:40:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Section: python
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                gir1.2-gtk-3.0 <!nocheck>,
-               gnome-common,
+               autoconf-archive,
                gnome-pkg-tools (>= 0.10),
                python-all-dev (>= 2.6.6-3~),
                python3-all-dev,
@@ -22,8 +22,8 @@
                libffi-dev (>= 3.0.5),
                gobject-introspection (>= 1.46.0),
                libgirepository1.0-dev (>= 1.39.0),
-               python-cairo-dev (>= 1.2.0),
-               python3-cairo-dev (>= 1.10.0+dfsg-3),
+               python-cairo-dev (>= 1.11.1),
+               python3-cairo-dev (>= 1.11.1),
                xsltproc,
                xvfb <!nocheck>,
                xauth <!nocheck>,
@@ -38,9 +38,10 @@
                python-apt-dbg,
                python-cairo-dbg,
 X-Python-Version: >= 2.7
-Standards-Version: 4.1.1
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pygobject
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pygobject/
+X-Python3-Version: >= 3.3
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/pygobject.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/pygobject.git
 Homepage: https://wiki.gnome.org/Projects/PyGObject
 
 Package: python-gi
@@ -86,7 +87,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python-gi (= ${binary:Version}),
-         python-cairo
+         python-cairo (>= 1.11.1)
 Description: Python Cairo bindings for the GObject library
  GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
@@ -156,7 +157,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python3-gi (= ${binary:Version}),
-         python3-cairo (>= 1.10.0+dfsg-3~exp2)
+         python3-cairo (>= 1.11.1)
 Description: Python 3 Cairo bindings for the GObject library
  GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
@@ -177,30 +178,3 @@
  deprecated gobject module, and the new gobject-introspection system. It 
  is here for upgrade purposes only. You can remove it safely when 
  nothing else depends on it.
-
-Package: python-gobject-dbg
-Section: oldlibs
-Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         python-gi-dbg (>= ${source:Version}),
-         python-gobject-2-dbg
-Description: Python 2.x debugging modules for GObject - transitional package 
- This package will bring the two debugging versions of GObject Python 
- modules: one for the deprecated gobject module, and one for the new 
- gobject-introspection system. It is here for upgrade purposes only. 
- You can remove it safely when nothing else depends on it.
-
-Package: python-gobject-dev
-Section: oldlibs
-Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         python-gi-dev (>= ${source:Version}),
-         python-gi-dev (<< ${source:Version}.1~),
-         python-gobject-2-dev
-Description: Python 2.x development headers for GObject - transitional package 
- This package will bring development headers for the two versions of 
- GObject Python modules: the deprecated gobject module, and the new 
- gobject-introspection system. It is here for upgrade purposes only. You 
- can remove it safely when nothing else depends on it.

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	set -e; export HOME=$(CURDIR)/debian/tmp/home; mkdir -p $$HOME/.local/share; unset LD_PRELOAD; \
+	set -e; LC_ALL=C.UTF-8; export HOME=$(CURDIR)/debian/tmp/home; mkdir -p $$HOME/.local/share; unset LD_PRELOAD; \
 	for x in $(PYVERS); do \
 	        xvfb-run dh_auto_test --builddirectory=build-$$x || $(TESTSUITE_FAIL_CMD); \
 	        while [ -e /tmp/.X99-lock ]; do echo "Waiting for xvfb to finish..."; sleep 0.5; done; \
@@ -77,10 +77,10 @@
 	dh_strip -ppython3-gi --dbg-package=python3-gi-dbg
 	dh_strip -a --remaining-packages --no-automatic-dbgsym
 
-override_dh_makeshlibs-arch:
-	dh_makeshlibs -ppython-gi  -V'python-gi (>= 3.4)'
-	dh_makeshlibs -ppython3-gi -V'python3-gi (>= 3.4)'
-	dh_makeshlibs -a --remaining-packages
+# Do not run dh_makeshlibs, for some reasons the python bindings are build with
+# a SONAME set and this causes dh_makeshlibs to create a shlibs file and to
+# trigger ldconfig.
+override_dh_makeshlibs:
 
 override_dh_clean:
 	rm -rf debian/install-*

## pygobject 3.30.1

=== debian/changelog ===
pygobject (3.30.1-1ubuntu1) cosmic; urgency=medium

  * Suppress python{3,}-gi → python{3,}-cairo dependency. Since we moved to
    pybuild, we pick up a dependency from python{3,}-gi to python{3,}-cairo,
    because it is in requirements.txt.  Add a py3dist-overrides file to map
    this to the empty package, so that dh_python{3,} doesn't generate the
    dependency for us - it is unnecessary in python{3,}-gi and
    python{3,}-gi-cairo, which needs it, has it specified manually. (Closes:
    #909703)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 15 Oct 2018 19:36:12 +0100

pygobject (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Sep 2018 15:31:05 -0400

pygobject (3.30.0-2) experimental; urgency=medium

  * Add revert-closure-typecasts-from-commit-25a5b066.patch
    - Apply Fedora workaround to fix build tests on some architectures

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Sep 2018 09:49:11 -0400

pygobject (3.30.0-1) experimental; urgency=medium

  * New upstream release
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 09 Sep 2018 10:05:42 -0400

pygobject (3.29.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop all patches, applied upstream
  * d/p/tests-don-t-assume-anything-about-sys.excepthook.patch:
    Add patch from upstream to fix test failure on Ubuntu with apport's
    sys.excepthook

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Aug 2018 15:43:20 +0100

pygobject (3.29.2-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
  * d/copyright: Update
  * Build using setup.py and pybuild
  * Build-depend on python3-cairo-dbg so setup.py can import it
  * d/tests/gitest.py: Fix flake8 coding style warnings
  * d/p/gi-pygi-argument-Squash-critical-warning-when-using-array.patch,
    d/p/Add-override-for-GdkPixbuf.Pixbuf.new_from_data.-Fixes-22.patch,
    d/p/Gtk.Template-Remove-init_template-from-instance-not-class.patch,
    d/p/Gtk.Template-Add-test-for-second-instance-initialisation.patch,
    d/p/gtktemplate-Don-t-error-out-when-loading-a-resource-that-.patch,
    Add post-release bug fixes from upstream
  * d/p/Clear-error-indicator-before-calling-pygi_pyerr_format.patch:
    Add patch to fix build-time test failures
  * Build-depend on python3-flake8, since we run it
  * d/gbp.conf: Don't number patches

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Aug 2018 08:53:01 +0100

pygobject (3.28.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Set Rules-Requires-Root to no
  * Don't install detailed upstream ChangeLog, only NEWS
  * Standards-Version: 4.2.0
  * d/copyright: Remove trailing whitespace
  * Sort (build-)dependencies with wrap-and-sort -a
  * Remove X-Python(3)-Version fields that are satisfied by oldstable
  * Adjust override_dh_clean to avoid a Lintian false positive
  * d/tests/gitest.py: Don't fail on merged /usr systems

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Aug 2018 10:57:50 +0100

pygobject (3.28.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Apr 2018 16:55:29 -0400

pygobject (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on pytest
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * debian/docs: AUTHORS and README are no longer provided

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Mar 2018 18:59:29 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pygobject
Section: python
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: at-spi2-core,
               autoconf-archive,
               dbus (>= 1.8),
               debhelper (>= 11),
               dh-python,
               docbook-xsl,
               dpkg-dev (>= 1.16.1~),
               gir1.2-gtk-3.0 <!nocheck>,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 1.46.0),
               libcairo2-dev,
               libffi-dev (>= 3.0.5),
               libgirepository1.0-dev (>= 1.39.0),
               libglib2.0-dev (>= 2.38.0),
               locales,
               pep8,
               pyflakes,
               python-all-dbg,
               python-all-dev (>= 2.6.6-3~),
               python-apt-dbg,
               python-cairo-dbg,
               python-cairo-dev (>= 1.11.1),
               python-pytest <!nocheck>,
               python-setuptools,
               python3-all-dbg,
               python3-all-dev,
               python3-cairo-dbg,
               python3-cairo-dev (>= 1.11.1),
               python3-flake8,
               python3-pytest <!nocheck>,
               python3-setuptools,
               xauth <!nocheck>,
               xsltproc,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject
Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git
Homepage: https://wiki.gnome.org/Projects/PyGObject

Package: python-gi
Architecture: any
Depends: gir1.2-glib-2.0 (>= 1.39.0),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Suggests: python-gi-cairo
Breaks: python-aptdaemon (<< 1.0),
        software-center (<= 5.6.0-0ubuntu2)
Description: Python 2.x bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 2.x binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python.

Package: python3-gi
Architecture: any
Depends: gir1.2-glib-2.0 (>= 1.39.0),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.

Package: python-gi-cairo
Architecture: any
Depends: python-cairo (>= 1.11.1),
         python-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python-gi-dbg
Section: debug
Architecture: any
Depends: python-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for the GObject library (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-gi-dbg
Section: debug
Architecture: any
Depends: python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for gobject-introspection libraries (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python-gi-dev
Architecture: any
Depends: libffi-dev (>= 3.0.5),
         libglib2.0-dev (>= 2.35.9),
         python-gi (= ${binary:Version}),
         python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development headers for GObject Python bindings
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build C extensions
 which use pygobject.

Package: python3-gi-cairo
Architecture: any
Depends: python3-cairo (>= 1.11.1),
         python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python-gobject
Section: oldlibs
Architecture: all
Depends: python-gi (>= ${source:Version}),
         python-gobject-2,
         ${misc:Depends}
Description: Python 2.x bindings for GObject - transitional package
 This package will bring the two versions of GObject Python modules: the
 deprecated gobject module, and the new gobject-introspection system. It
 is here for upgrade purposes only. You can remove it safely when
 nothing else depends on it.

## pygobject 3.30.4

=== meson_options.txt ===
option('python', type : 'string', value : 'python3')
option('pycairo', type : 'boolean', value : true, description : 'build with pycairo integration')

=== debian/changelog ===
pygobject (3.30.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:41:22 +0800

pygobject (3.30.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Dec 2018 10:36:17 -0500

pygobject (3.30.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Nov 2018 10:18:19 -0500

pygobject (3.30.1-2) unstable; urgency=medium

  * Suppress python{3,}-gi → python{3,}-cairo dependency. Since we moved to
    pybuild, we pick up a dependency from python{3,}-gi to python{3,}-cairo,
    because it is in requirements.txt. Add a py3dist-overrides file to map
    this to the empty package, so that dh_python{3,} doesn't generate the
    dependency for us - it is unnecessary in python{3,}-gi and
    python{3,}-gi-cairo, which needs it, has it specified manually. (Closes:
    #909703)

 -- Iain Lane <laney@debian.org>  Thu, 25 Oct 2018 12:42:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: at-spi2-core,
                autoconf-archive,
                dbus (>= 1.8),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python/python.mk

PYVERS := $(shell pyversions --requested -v debian/control) $(shell py3versions --supported -v)
FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))

TESTSUITE_FAIL_CMD=exit 1
NON_FATAL=( echo "*** test-suite FAILED but continuing anyway ***"; true; )
ifneq ($(filter $(DEB_BUILD_ARCH), ),)
# tests currently fail on these architectures
    TESTSUITE_FAIL_CMD=$(NON_FATAL)
endif

export PYBUILD_BEFORE_TEST = {interpreter} {dir}/setup.py build_tests

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python2,python3,gnome --buildsystem=pybuild

# don't run the tests under fakeroot, otherwise they will try to connect to
# root's session D-BUS
override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH_OS), linux)
	set -e; \
	LC_ALL=C.UTF-8; \
	export HOME=$(CURDIR)/debian/tmp/home; \
	mkdir -p $$HOME/.local/share; \
	unset LD_PRELOAD; \
	xvfb-run \
	dh_auto_test || $(TESTSUITE_FAIL_CMD); \
	while [ -e /tmp/.X99-lock ]; do \
		echo "Waiting for xvfb to finish..."; \
		sleep 0.5; \
	done
	# run the pep8 test but don't fail on it
	python3 setup.py quality || $(NON_FATAL)
endif
endif

override_dh_auto_install:
	dh_auto_install
	mkdir debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/pkgconfig debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_strip-arch:
	dh_strip -ppython-gi --dbg-package=python-gi-dbg
	dh_strip -ppython-gi-cairo --dbg-package=python-gi-dbg
	dh_strip -ppython3-gi --dbg-package=python3-gi-dbg
	dh_strip -a --remaining-packages --no-automatic-dbgsym

# Do not run dh_makeshlibs, for some reasons the python bindings are build with
# a SONAME set and this causes dh_makeshlibs to create a shlibs file and to
# trigger ldconfig.
override_dh_makeshlibs:

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

## pygobject 3.32.0

=== debian/changelog ===
pygobject (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 12:59:34 -0400

pygobject (3.31.4-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib to 2.48.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Mar 2019 09:45:40 -0500

## pygobject 3.34.0

=== debian/changelog ===
pygobject (3.34.0-3~mx19+1) stable; urgency=medium

  * Repackage of upstream release.
  * Add X-Python3-Version: >= 3.6 to control.in file

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 29 Jan 2020 21:02:05 -0400

pygobject (3.34.0-3) unstable; urgency=medium

  * Team upload
  * d/copyright: Add copyright holder for autopkgtest
  * d/control.in: Remove python-gobject transitional package.
    It has been moved to src:pygobject-2 so that it naturally goes away
    when python-gobject-2 does.
  * d/tests/build: Improve diagnostics on failure
  * d/tests/control: Fix dependencies for python3.x-dbg

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Nov 2019 20:55:14 +0000

pygobject (3.34.0-2) unstable; urgency=medium

  * Team upload
  * Remove unused build-dependency on python-apt-dbg.
    It doesn't seem to be used anywhere, and removing it has no effect
    on the built binary packages (verified with diffoscope).
  * d/tests/python2*: Use python2, not python.
    Thanks to Matthias Klose. (Closes: #943428)
  * d/rules: Fail the build if any files are built but not installed
  * d/rules: Delete *.pyc files before running dh_missing
  * Fix installation of extensions for Python 3.8.
    Thanks to Matthias Klose. (Closes: #943430)
  * d/tests/build2: Test embedding with Python 2
  * d/tests/build, d/tests/python3-all: Test all supported Python versions

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Nov 2019 10:49:25 +0000

pygobject (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Sep 2019 16:30:01 +0200

pygobject (3.33.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Aug 2019 16:32:37 +0200

pygobject (3.32.2-1) unstable; urgency=medium

  * New upstream release:
    - Python 3.8b1 compatibility fixes

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 18:03:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with python2,python3,gnome --buildsystem=pybuild
+	dh $@ --with python3,gnome --buildsystem=pybuild
 
 # don't run the tests under fakeroot, otherwise they will try to connect to
 # root's session D-BUS
@@ -42,10 +42,23 @@
 endif
 endif
 
+override_dh_python3:
+	dh_python3 -O--buildsystem=pybuild
+	find debian/python3-gi-cairo  debian/python3-gi -name '*.cpython-*dm-*so' | xargs -r rm -fv
+
 override_dh_auto_install:
 	dh_auto_install
 	mkdir debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv debian/tmp/usr/lib/pkgconfig debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+
+override_dh_install:
+	rm -fr debian/tmp/usr/lib/python*/dist-packages/__pycache__
+	rm -fr debian/tmp/usr/lib/python*/dist-packages/*/__pycache__
+	rm -fr debian/tmp/usr/lib/python*/dist-packages/*/*/__pycache__
+	rm -f debian/tmp/usr/lib/python*/dist-packages/*.pyc
+	rm -f debian/tmp/usr/lib/python*/dist-packages/*/*.pyc
+	rm -f debian/tmp/usr/lib/python*/dist-packages/*/*/*.pyc
+	dh_install
 
 override_dh_strip-arch:
 	dh_strip -ppython-gi --dbg-package=python-gi-dbg
@@ -60,3 +73,9 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

=== debian/tests/control ===
Tests: build
Depends: build-essential, python-gi-dev, python3-all-dbg, python3-all-dev, python3-gi-dbg

Tests: build3
Depends: build-essential, python-gi-dev, python3-dev

Tests: build2
Depends: build-essential, python-gi-dev, python2-dev

Tests: python2 python3
Depends: python-gi, python3-gi, gir1.2-glib-2.0

Tests: python2-dbg python3-dbg
Depends: python-gi-dbg, python3-gi-dbg, gir1.2-glib-2.0

Tests: python3-all
Depends: python3-gi, python3-gi-dbg, gir1.2-glib-2.0, python3-all, python3-all-dbg
